<?php
add_action('widgets_init', 'alt_register_sidebars');
function alt_register_sidebars()
{
    //substitui a barra de menu
    register_sidebar(
        array(
            'name' => 'Header ',
            'id' => 'alt_header',
            'description' => 'Topo da página',
            'before_widget' => '<div class="top_pagina flex justify-items-center py-4 mx-4">',
            'after_widget' => '</div>',
        )
    );

    register_sidebar(
        array(
            'name' => 'Home - Filtro de veículos',
            'id' => 'alt_home_filtro',
            'description' => 'Exibido logo apos o o banner inicial da home (Filtro)',
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '',
            'after_title' => ''
        )
    );

    register_sidebar(
        array(
            'name' => 'Home - 1',
            'id' => 'alt_home1',
            'description' => 'Exibido logo apos veículos em destaque',
            'before_widget' => '<div class="widget_home_1">',
            'after_widget' => '</div>',
            'before_title' => '',
            'after_title' => ''
        )
    );

    register_sidebar(
        array(
            'name' => 'Home - 2',
            'id' => 'alt_home2',
            'description' => 'Exibe no lugar das redes sociais',
            'before_widget' => '<div class="widget_home_2">',
            'after_widget' => '</div>',
            'before_title' => '',
            'after_title' => ''
        )
    );

    register_sidebar(
        array(
            'name' => 'Home - Divulgação',
            'id' => 'alt_divulgacao',
            'description' => 'Exibe entre as redes sociais e Fale conosco',
            'before_widget' => '<div class="widget_home_divulgacao">',
            'after_widget' => '</div>',
            'before_title' => '',
            'after_title' => ''
        )
    );

    register_sidebar(
        array(
            'name' => 'Home - 3',
            'id' => 'alt_home3',
            'description' => 'Exibe no lugar do mapa e Fale conosco',
            'before_widget' => '<div class="widget_home_3">',
            'after_widget' => '</div>',
            'before_title' => '',
            'after_title' => ''
        )
    );


    register_sidebar(
        array(
            'name' => 'Estoque - Sidebar Esquerdo',
            'id' => 'alt_sitebar_estoque',
            'description' => 'SIDEBAR lateral esquerdo da tela de listagem de veículos.',
            'before_widget' => '<div class="sidebar_estoque">',
            'after_widget' => '</div>',

        )
    );


    register_sidebar(
        array(
            'name' => 'Estoque - Veículo não encontrado',
            'id' => 'alt_sidebar_veiculo_nao_encontrado',
            'description' => 'Sidebar que será apresentado apos não encontrar nenhum veículo na busca de estoque',
            'before_widget' => '<div class="sidebar_listagem_veiculo_nao_encontrado">',
            'after_widget' => '</div>',

        )
    );

    register_sidebar(
        array(
            'name' => 'Estoque - Listagem de veículos',
            'id' => 'alt_sidebar_bloco_veiculo',
            'description' => 'Sessão localizada no bloco que o veículo é apresentado',
            'before_widget' => '<div class="sidebar_bloco_veiculo_item">',
            'after_widget' => '</div>'

        )
    );

    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sidebar Direito',
            'id' => 'alt_sidebar_formulario_contato',
            'description' => 'Sidebar lateral direito da tela de detalhes do veículo',
            'before_widget' => '<div  class="sidebar_detalhes_veiculos">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sessão 1',
            'id' => 'alt_sidebar_sessao_1',
            'description' => 'Sessão localizada abaixo das fotos',
            'before_widget' => '<div class="sidebar_">',
            'after_widget' => '</div>'

        )
    );


    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sessão 2',
            'id' => 'alt_sidebar_sessao_2',
            'description' => 'Sessão localizada abaixo das informações de opcionais',
            'before_widget' => '<div class="sidebar_">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sessão 3',
            'id' => 'alt_sidebar_sessao_3',
            'description' => 'Sessão localizada abaixo das sugestões de veículos',
            'before_widget' => '<div class="sidebar_">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Detalhes do veículo - Sessão 4',
            'id' => 'alt_sidebar_sessao_4',
            'description' => 'Sessão localizada abaixo do menu principal e acima do titulo',
            'before_widget' => '<div class="sidebar_">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Blog - Sidebar Esquerdo',
            'id' => 'alt_blog_left',
            'description' => 'Sidebar Esquerdo',
            'before_widget' => '<div class="sidebar_widget_footer_left">',
            'after_widget' => '</div>',
            'before_title' => '<h6 class="widget_heading">',
            'after_title' => '</h6>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Blog - Sidebar Direito',
            'id' => 'alt_blog_right',
            'description' => 'Sidebar Direito',
            'before_widget' => '<div class="sidebar_widget_footer_right">',
            'after_widget' => '</div>',
            'before_title' => '<h6 class="widget_heading">',
            'after_title' => '</h6>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Contato',
            'id' => 'alt_contato',
            'description' => 'Dentro da pagina de contato.',
            'before_widget' => '<div class="widget_contato_content">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Sobre',
            'id' => 'alt_sobre',
            'description' => 'Dentro da pagina de sobre.',
            'before_widget' => '<div class="widget_sobre_content">',
            'after_widget' => '</div>'
        )
    );

    register_sidebar(
        array(
            'name' => 'Footer (col-12)',
            'id' => 'alt_sidebar_footer',
            'description' => '',
            'before_widget' => '<div class="bloco_footer_12">',
            'after_widget' => '</div>',
        )
    );
}
